Subject: bug#3930: DocView failure - bad error message, insufficient documentation

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 23 Aug 2019 05:24:08 +0200

David Reitter <[email-masked]> writes:

> Trying to open a PDF file with Emacs/NS 23.1 branch (actually
> Aquamacs, which has no relevant patches compared to the 23.1 branch),  
> I keep getting a "DocView: process pdf/ps->png changed status to
> trace/BPT trap." message in *Messages*.
>
> This happens with all PDFs, even small PDF files.
>
> The buffer that is shown is not updated to reflect the error status.
>
> What's worse is that the error message that is given is absolutely
> unhelpful.  It's unclear what "trace" or "BPT trap" means in this  
> concept, or what the abbreviation "BPT" is supposed to mean.  This
> does not help me as a user in addressing the error condition.

(I'm going through old bug reports that unfortunately haven't gotten any
responses yet.)

The string "BPT trap" doesn't exist in the Emacs code base (at least not
now), so I would suspect that it's an error message given by your OS?

Are you still seeing this problem in more modern Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no